/*
Theme Name: Frost Child
Template: frost
Theme URI: https://frostwp.com/
Author: WP Engine
Author URI: https://wpengine.com/
Description: Child theme of Frost
Requires at least: 6.5
Tested up to: 6.5.2
Requires PHP: 7.0
Version: 1.0.9
License: GNU General Public License v3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: frost-child
*/


/* --- RESPONSIVE --- */

/* Desktop */
@media (width > 781px) {
	
	.hero-image-col img {
    	height: 350px;
    	object-fit: cover;
	}
	
	.hero-full-col {
    	min-width: 550px;
		margin-right: 100px
	}
	
	.site-header {
    	top: 32px;
	}

	.wp-block-navigation__submenu-container li {
    	border: none !important;
	}
	
	.form-image img {
    	height: 684px;
	}
	
	.wp-block-column.hero-image-col {
    	display: flex;
    	align-items: stretch;
	}

	.hero-image-col img {
    	height: 100%;
    	object-fit: cover;
	}
	
	.trust-col {
    	max-width: 900px;
	}
	
	.hero-buttons {
		width: 100%;
    	max-width: 550px;
	}
	
	.sidebar {
    	margin-top: -100px !important;
    	position: relative;
	}
	
	a.parent-post {
    	margin-bottom: 50px;
	}
	
	.wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container {
		top: -10px !important;
		margin-left: 10px;
	}

/* 	.menu-nav .wp-block-navigation li:hover, .wp-block-navigation__submenu-container li:hover {
    	color: var(--wp--preset--color--contrast) !important;
	} */
}

/* Tablet */
@media (width <= 820px) {
	/*Navigation - Mobile Menu*/
	
	.mobile-only-psuedo-logo {
		display: block !important;
	}	
	
	.nav-row {
		justify-content: center !important;

	}
	.nav-row .wp-block-navigation {
		position: absolute !important;
		left: 50px !important;
	}
	
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-dialog {
        height: 100vh;
    }
    
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
        display: flex !important;
        flex-direction: column !important;
        height: 100%;
        padding-bottom: 40px; 
    }
    
    .has-modal-open .is-menu-open .ticket-button {
        margin-top: auto !important;
        margin-bottom: 20px !important;
        text-align: center;
    }
    
    .nav-row .is-menu-open .wp-block-navigation {
        left: 0 !important;
        right: 0 !important;
        width: 100% !important;
    }	
	

div#modal-1-content li:nth-child(2) {
    margin-left: 0 !important;
}


div#modal-1-content {
    flex-direction: column !important;
    align-items: center !important;
}

	
.wp-block-navigation__responsive-container-close {
    left: 0 !important;
	top: 20px !important;
}	

.wp-block-navigation__responsive-container-open {
    display: flex !important;
    align-items: center;
    gap: 8px;
}	

ul.wp-block-navigation__container.has-text-color.has-base-color.is-responsive.items-justified-center.nav-inner-list.wp-block-navigation.has-poppins-font-family {
}

.nav-row {

    justify-content: left
}

.has-modal-open ul.nav-inner-list {
    justify-content: flex-start !important;
    gap:0 !important
}

.wp-block-navigation__responsive-container  {
    background: #818B7E !important;
}

.has-modal-open ul.wp-block-navigation__container li a{
    color: #fff !important;
}

.has-modal-open .wp-block-navigation__responsive-container-content ul {
    text-align: center !important; 
    
}

.has-modal-open button.wp-block-navigation__responsive-container-close svg {
    fill: #fff !important;
}

.has-modal-open ul.wp-block-navigation__container li a{
    font-size: 28px;
    line-height: 28px;
    margin-bottom: 50px;
}

@media (max-width: 425px) {
	
    .has-modal-open ul.wp-block-navigation__container li a{
        font-size: 20px;
    }
}

.has-modal-open .ticket-button , .has-modal-open .wp-block-button {
    margin: 0 auto;
}

.has-modal-open .ticket-button {
    padding-left:0 !important
}
	
.has-modal-open li.wp-block-navigation-item.header-logo {
    flex: 0 1 auto !important; 
}

.has-background .wp-block-navigation__responsive-container-open:focus, .has-background .wp-block-navigation__responsive-container-open:hover {
    color: #fff !important;
}
	
    header .wp-block-navigation-item {
        font-size: 1.4rem !important;
        line-height: 2;
    }
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon {
		display: block;
	}
	.primary-navigation.wp-block-navigation .wp-block-navigation__responsive-container .wp-block-navigation__responsive-close {
		width: 100%;
		max-width: 650px;
	}
	.wp-block-navigation__responsive-container.is-menu-open > .wp-block-navigation__responsive-dialog > .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item.has-child {
    	display: flex;
    	flex-wrap: wrap;
    	justify-content: flex-start;
    	align-items: center;
    	width: 100%;
	}
	.wp-block-navigation__responsive-container.has-modal-open.is-menu-open .wp-block-navigation__responsive-dialog .wp-block-navigation__container.primary-navigation.wp-block-navigation:not(.wp-block-navigation__submenu-container) .wp-block-navigation-item:not(.primary-navigation-cta-button) {
		margin-bottom: 10px;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container .wp-block-navigation-item.has-child {
    	display: flex;
	    flex-wrap: wrap;
    	justify-content: flex-start;
	    align-items: center;
    	width: 100%;
	}
	.wp-block-navigation .has-child .wp-block-navigation__submenu-container > .wp-block-navigation-item > .wp-block-navigation-item__content {
		flex-grow: unset;
	}
	.wp-block-navigation-item__content {
    	padding-right: 10px;
	    white-space: normal;
    	overflow: visible;
    	text-overflow: clip;
	}
	.wp-block-navigation__submenu-icon {
		display: block;
		flex-shrink: 0;
		margin-left: 10px;
		cursor: pointer;
		background: none;
		border: none;
		padding: 0;
		line-height: 1;
	}
	.wp-block-navigation-item.has-child > .wp-block-navigation__submenu-container {
		flex-basis: 100%;
		width: 100%;
		box-sizing: border-box;
		display: none;
		overflow: hidden;
		padding-left: 20px;
		transition: all 0.3s ease-in-out;
	}
	.wp-block-navigation-submenu__toggle[aria-expanded="false"] + .wp-block-navigation__submenu-container {
		display: none;
	}
	.wp-block-navigation-submenu__toggle[aria-expanded="true"] + .wp-block-navigation__submenu-container {
		display: block;
	}
	.wp-block-navigation-submenu__toggle[aria-expanded="true"] svg {
		transform: rotate(180deg);
	}
	.wp-block-navigation .wp-block-navigation__submenu-icon svg {
		margin: 0;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__container {
		display: block;
		width: 100%;
	}
	.wp-block-navigation__responsive-container-content {
		overflow-y: auto;
	}
	.wp-block-navigation-item.has-child {
		flex-direction: row!important;
		flex-wrap: wrap;
		row-gap: 4px;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container, .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-container {
		gap: 0;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
		padding: 16px 0 0 20px;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-container {
		padding-top: 0;
	}
	.wp-block-navigation__container.wp-block-navigation .wp-block-navigation-item.wp-block-navigation-submenu .wp-block-navigation__submenu-container.wp-block-navigation-submenu {
		background-color: unset;
		border: none;
	}
	.wp-block-navigation.items-justified-center {
	    --navigation-layout-justification-setting: left;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-icon svg {
	    fill: #333 !important;
	    stroke: #333 !important;
	}
	ul.wp-block-navigation__submenu-container.has-text-color.has-neutral-color.has-background.has-base-background-color.wp-block-navigation-submenu {
	    padding:0;
	    box-shadow: none !important;

	}
	a.wp-block-navigation-item__content {
    	padding-right:0 !important
	}
	
	.wp-block-column.is-vertically-aligned-center.hero-text-col.has-primary-background-color.has-background.is-layout-flow.wp-block-column-is-layout-flow {
		padding: 30px !important;
	}
	

    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex;
        color: var(--wp--preset--color--primary);
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: none;
    }
    .wp-block-navigation {
        flex-grow: 0;
    }
    header .wp-block-site-logo {
        flex-grow: 1;
    }
    .overflow-clip .wp-block-cover {
        min-height: 300px !important;
    }
	
	.header-phone .wp-block-button__link img {
        width: 25px;
        margin: 0;
    }
	
	
	.service-grid {
    	grid-template-columns: repeat(3, 1fr);
	}
	
	.cta-column {
		flex-direction: column;
		align-content: center;
	    justify-content: center;
}

	.cta-image-col {
    	width: fit-content !important;
	}

	.cta-text-col {
    	text-align: center;
	}
	
	.cta-text-col button#myModal-launch {
    	margin-bottom: 50px;
	}
	
	.sidebar :where(.wp-block-list) {
    	padding-left: 50px;
	}

}

@media (width <= 930px) {
	.wp-block-column.is-vertically-aligned-center.hero-text-col.has-primary-background-color.has-background.is-layout-flow.wp-block-column-is-layout-flow {
		padding: 35px !important;
	}
}

/* Mobile */
@media (width <= 767px) {
	
	.date-bar-homepage {
    padding: 50px !important;
	}

	.flower-bar-section {
		padding: 75px !important;
	}

	.winemaker-row.wp-block-group {
        display: grid !important;
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 15px !important; 
    }
	
	.winemaker-container {
        padding-bottom: 0 !important;
    }
	.date-bar-homepage p {
		font-size: 36px !important;
	}
	
	.flower-row {
        flex-direction: column !important;
        align-items: center; 
        text-align: center;
        gap: 0;
    }
	    
    .students-content .is-nowrap.is-layout-flex {
        flex-direction: column-reverse !important;
        flex-wrap: wrap !important;
    }

    .students-content  .left-stack, .right-stack {
        width: 100% !important;
    }
	
	.left-stack > * {
    	width: 100%
	}
	.left-stack img {
		width: 100%
	}
    
    .students-content  .right-stack img {
        height: 400px;
        object-fit: cover;
    }
	
	.site-header button#myModal-launch {
    	display: none;
	}
	
	.header-phone .wp-block-button__link {
    	padding: 15px 10px !important;
	}
	
    .is-style-outline .wp-block-button__link:hover {
        background-color: white !important;
    }
    
    header .wp-block-site-logo img {
        width: 150px;
    }
    .hero-section {
        min-height: 20em !important;
    }
    .hero-arrow.safe-svg-inside svg {
        width: 47px;
    }
	
	.hero-buttons {
    	grid-template-columns: repeat(1, 1fr);
	}
	
    .hide-mobile {
        display: none !important;
    }
    .center-mobile {
        text-align: center;
    }
    .wp-block-button.center-mobile {
        margin-inline: auto;
    }
    .wp-block-media-text {
        gap: 30px;
    }
    .wp-block-media-text>.wp-block-media-text__content {
        padding-inline: 0;
    }
    .hero-title {
        font-size: 40px !important;
    }
	
	.header-phone img.wp-image-68 {
    	display: none;
	}
	
	.service-grid {
    	grid-template-columns: repeat(1, 1fr);
		grid-row-gap: 50px;
	}
	
	.trust-col {
    	grid-template-columns: repeat(1, 1fr);
    	grid-row-gap: 20px;
	}
	
	.contact-col {
    	flex-direction:column-reverse;
	}
	
	.sponsor-row {
        flex-wrap: wrap !important;
        flex-direction: column !important;
        align-items: center !important;
        gap: 100px !important;
    }
}

/* Small Mobile */
@media (width <= 425px) {
	
	.nav-row .wp-block-navigation {
		left: 10px !important;
	}	
	
	.nav-row .mobile-only-psuedo-logo  {
		font-size: 20px !important;
	}	
	
	.page-template-default .wp-block-post-featured-image {
    	float: none;
    	margin: 0 auto;
	}
	
	.header-phone .wp-block-button__link {
    	font-size: 14px !important;
    	padding: 10px 4px !important;
    	width: 130px !important;
	}
	
	.hero-image-col img {
    	height: 175px;
    	object-fit: cover;
    	object-position: center;
	}
	
	.cta-image-col img {
    	margin-top: 25px;
    	width: 250px !important;
	}
	
	.cc-text-col {
    	padding: 60px 35px 40px !important;
	}
	
	figure.alignright.wp-block-post-featured-image {
    	margin: 0 auto 20px;
    	float: none;
	}
	/* 	Header Tiny Mobile CSS */
	    .nav-row {
        gap: 10px !important;
        justify-content: center;
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .header-container {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

/* --- Utility Classes --- */
.is-style-rounded {
    border-radius: 100px;
}

/* --- Header --- */
.mobile-only-psuedo-logo {
	display: none;
}	

.mobile-only-psuedo-logo a{
	text-decoration: none !important;
}	

div#modal-1-content {
    justify-content: space-between;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

div#modal-1-content .nav-inner-list{
    justify-content: right;
	    width: 100%;
}

div#modal-1-content li:nth-child(2) {
    margin-left: auto;
}

ul.nav-inner-list {
    column-gap: 40px;
}

div#modal-1-content {
    justify-content: left
}

div#modal-1-content .wp-block-button {
    width: 100%;
    min-width: 150px;
}

.wp-block-buttons {
	padding-left: 0 !important;
}

ul.nav-inner-list .header-logo {
    text-decoration: none;
}

.nav-row {
    padding: 10px;
}

.header-container .nav-row.alignwide {
    max-width: 100% !important;
    width: 100% !important;
}

.site-header {
    position: sticky;
    top: 0;
    z-index: 20;
}

.has-background .wp-block-navigation__responsive-container-open:focus, .has-background .wp-block-navigation__responsive-container-open:hover {
    color: var(--wp--preset--color--contrast);
}

.wp-block-navigation__responsive-container-close svg, .wp-block-navigation__responsive-container-open svg {
    width: 30px !important;
    height: 30px !important;
}

.wp-block-navigation__responsive-container-open rect:first-of-type {
  transform: translateY(2px);
}

.wp-block-navigation__responsive-container-open rect:last-of-type {
  transform: translateY(-1px);
}

.wp-block-navigation__submenu-container {
	border-radius: 5px;
    box-shadow: 0px 3px 4px 0px rgba(0, 0, 0, 0.15);
    transition: .3s !important;
}

.wp-block-navigation__submenu-container .wp-block-navigation-item__label {
    font-size: 0.8em;
}

.wp-block-navigation__submenu-container .wp-block-navigation-item__content {
    padding: 10px;
    border-radius: 5px;
}


/* --- Buttons --- */
.wp-element-button img {
	vertical-align: middle;
    margin-right: 7px;
    margin-bottom: 1px;
}

.wp-block-navigation__responsive-container-close, .wp-block-navigation__responsive-container-open {
    border: none;
}

.is-style-outline .wp-block-button__link:hover {
    background-color: color-mix(in srgb, var(--wp--preset--color--primary) 10%, transparent);
}

.icon-button a::after, .service-link::after {
    content: "";
    display: inline-block;
    width: 1em;
    height: .8em;
	background-color: currentColor;
    mask-image: url('/wp-content/uploads/2026/02/arrow-right.svg');
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
    margin-left: 7px;
    transition: transform 0.2s ease-in-out;
}

.icon-button:not(.is-style-outline, .is-style-fill) a::after {
    filter: brightness(0) invert(1);
}

.icon-button a:hover::after,
.service-grid .container-block-link-wrapper:hover .service-link::after {
    transform: translateX(3px);
}

.service-grid .container-block-link-wrapper {
    transition: 0.2s;
}

.service-grid .container-block-link-wrapper:hover {
    transform: translateY(-8px);
}

.service-grid .wp-block-group {
    height: 100%;
}

.service-grid .service-link {
    margin-top: auto;
}

.wp-block-social-link-anchor {
    padding: 10px;
}

.wp-block-buttons .wp-block-button.is-style-outline.footer-btn a:hover {
	color: var(--wp--preset--color--primary) !important;
	background-color: #ffffff!important;
}

.wp-block-buttons .wp-block-button.is-style-outline.footer-btn a:hover img {
	filter: none;
}

.container-block-link-wrapper {
    text-decoration: none;
}

.container-block-link-wrapper:hover {
    color: unset;
}

a.wp-block-button__link.has-background.has-border-color.has-base-border-color.wp-element-button , a.wp-block-button__link.has-base-color.has-contrast-background-color.has-text-color.has-background.has-link-color.has-border-color.has-contrast-border-color.has-custom-font-size.wp-element-button ,  button#myModal-launch{
    font-size: 18px;
}


/* --- Text --- */
.is-style-label {
    color: #36363670;
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 1.12px;
    text-transform: uppercase;
}

b,
strong,
th {
	font-weight: var(--wp--custom--font-weight--semi-bold);
	font-weight: 600;
}

.wp-block-heading {
    text-wrap: pretty;
}

:is(.page-template-default, .post-template-default) .wp-block-heading:not(.large-on-child) {
    font-size: 2em;
}

.form-heading {
	color: #32464b;
	font-weight: 800;
}

.text-align-center {
	text-align: center;
}

/* Break */


/* --- Modal Block --- */

.cta-column {
    gap: 55px;
}


/* --- Images --- */
.wp-block-image img {
    vertical-align: middle;
}


/* START of Homepage */
.flower-stack {
	gap: 5px !important;
}

.date-bar-homepage p {
	padding-bottom: 12px;
}

.flower-bar-section .flower-row {
    max-width: 1100px;
    margin-left: auto !important;
    margin-right: auto !important;
}

.hero-upper-col {
	max-width: 1550px;
}

.hero-full-col .wp-block-site-logo {
	padding-top: 50px;
}

.trust-col {
    box-shadow: 0px 4px 6.9px 0px rgba(0, 0, 0, 0.15);
	position: relative;
}

.checkmark-box p {
    margin-top: 15px;
}

.hero-full-sect {
    min-height: 900px;
    background-position: center top;
}

.hero-right-text {
    padding: 25px !important;
    gap: 25px;
}

.hero-full-col {
    margin-right: 100px !important;
	max-width: 450px;
}


.hero-full-col button{
    color: #fff !important;
    background-color: #743533 !important;
    border: solid 1px #743533 !important;
    display: block;
    margin: 0 auto;
}


/* BENEFITING STUDENTS SECTION  */

.students-content {
    background-color: #EAE6E1;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.students-content .left-stack , .students-content .right-stack {
    width: 50%
}

.students-content .left-stack img{
   max-width: 225px;
}

.students-content .right-stack{
   justify-content: center;  
    align-items: center;
}

.students-content .right-stack img{
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

/* WINEMAKERS SECTION */
.winemaker-container-old {
    display: none;
}

.winemaker-row .winemaker-stack.is-vertical {
    justify-content: flex-start !important;
}
.winemaker-row {
    align-items: flex-start !important;
}

.winemaker-container {
    background-color: #F6F6F6;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.winemaker-container h2 {
    margin-bottom: 60px;
	text-align: center;
}

.winemaker-stack {
    gap: 50px;
}

.winemaker-row {
    gap: 50px;    
}


/* SPONSORS SECTION */

.sponsor-container {
    background-color: #F6F6F6;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.sponsor-container h2{
    margin-bottom: 30px !important;
    text-align: center;
}

.sponsor-container .wp-block-button a{
    background-color: #EAE6E1 !important;
}

.sponsor-stack {
    width: 300px;  
	width: 100% !important;
}

.sponsor-stack img{
    border-radius: 15px;
    height: 300px;
    object-fit: contain;
}

.sponsors-upper-stack {
    gap: 100px;
}

.sponsor-row {
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: wrap !important;
    align-items: stretch !important; 
    justify-content: center !important;
	gap: 20px !important;       
}


.sponsor-stack {
    flex: 0 1 308px !important;
    display: flex !important;
    flex-direction: column !important;
    background: transparent; 
    height: auto !important; 
}

.sponsor-stack .wp-block-image {
    background-color: #fff !important;
    border-radius: 15px;
    width: 100% !important;
    height: 300px !important;
    margin: 0 0 15px 0 !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    overflow: hidden;
    flex-shrink: 0;
}

.sponsor-stack img {
    max-height: 100% !important;
    width: auto !important;
    object-fit: contain !important;
    padding: 15px;
}


.sponsor-stack .wp-block-buttons {
    margin-top: auto !important; 
    display: flex !important;
    justify-content: center !important;
    width: 100% !important;
    padding-top: 10px;
}

.sponsor-stack .wp-block-button {
    width: 100% !important;
}

.sponsor-stack .wp-block-button__link {
    width: 100% !important;
    text-align: center !important;
    display: block !important;
}

@media (max-width: 1024px) {
    .sponsor-row {
        display: flex !important;
        flex-direction: column !important; 
        align-items: center !important;              
    }

    .sponsor-stack {
        width: 100% !important;
        max-width: 348px !important; 
		gap: 0px;
		margin-bottom: 50px !important;
    }

    .sponsors-upper-stack{
        gap: 30px;
    }
}

@media (min-width: 1300px) {
    .sponsor-row {
		gap:100px !important;            
    }

}

.single-stack-special-sponsor {
    width: 500px !important;
    max-width: 500px !important;
    flex: 0 1 500px !important;
}

.sponsor-row.is-nowrap {
    flex-wrap: nowrap !important;
}

.single-stack-special-sponsor img{
    height: 500px !important;
    width: 500px !important;
}


.sponsor-stack.single-stack-special-sponsor .wp-block-image {
    height: 500px !important;
    width: 500px !important;
}

@media (max-width: 767px) {
.sponsor-stack.single-stack-special-sponsor .wp-block-image {
    height: 300px !important;
    width: 300px !important;
}

.single-stack-special-sponsor img{
    height: 300px !important;
    width: 300px !important;
}
	
.single-stack-special-sponsor {
    width: 300px !important;
    max-width: 300px !important;
    flex: 0 1 300px !important;
	margin-top: 50px !important;
}

}

/* MERCHANTS SECTION CSS */

#merchants .wp-element-button , #winemakers .wp-element-button {
    background-color: #eae6e1 !important;
}

#winemakers .wp-element-button:hover , #sponsors .wp-element-button:hover , #merchants .wp-element-button:hover {
    background-color: #EEE !important;
}

#winemakers h2 , #merchants h2 , #sponsors  h2 {
	margin-bottom: -20px !important;
	margin-top: 20px !important;		
}


/* END of Homepage */

/* Accordion */

.accordion-item summary {
    border: 1px solid #363636;
    border-radius: 9px;
    padding: 20px 15px;
}

.accordion-group summary {
  list-style: none;
}

.accordion-group summary::-webkit-details-marker {
  display: none;
}

.accordion-item summary {
  position: relative;
  padding-right: 2em;
  cursor: pointer;
}

.accordion-item summary::after {
  content: '';
  position: absolute;
  right: 1.25em;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  height: 30px;
  background-image: url("/wp-content/uploads/2025/07/chevron-down-icon.svg");
  background-repeat: no-repeat;
  background-size: contain;
  pointer-events: none;
  transition: transform 0.2s ease;
}

.accordion-item[open] summary::after {
  background-image: url("/wp-content/uploads/2025/07/chevron-icon.svg");
}

/* --- CC Pages --- */

.page-id-9206 .hero-text-col , .page-id-9006 .hero-text-col {
    max-width: 1380px !important;
    margin: 0 auto !important;
    padding-left: 30px !important;
    padding-right: 30px !important;
}

/* CSFF page */

.CSFF-content-1-right img{
    width: 550px !important;
    height: 600px !important;
    object-fit: cover;
}


.cc-hero {
    background-position: center !important; 
    background-size: cover !important;
    background-repeat: no-repeat !important;
}

.cc-hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 1;
}

.cc-hero > * {
    position: relative;
    z-index: 2;
}


/* About page */
.about-content-2-left img {
    height: 380px;
    object-fit: cover;
    object-position: center -50px;
}

/* Get In Touch Page */
.contact-content-1-left,
.contact-content-2-left {
    padding-left: 60px !important;
    padding-bottom: 60px !important;
}

.contact-content-1-left .wp-block-image,
.contact-content-2-left .wp-block-image {
    position: relative;
    margin-bottom: 40px;
    display: inline-block;
}

.contact-content-1-left .wp-block-image::before,
.contact-content-2-left .wp-block-image::before {
    content: "";
    position: absolute;
    bottom: -60px; 
    left: -60px;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.contact-content-1-left .wp-block-image img,
.contact-content-2-left .wp-block-image img {
    position: relative;
    z-index: 1;
    display: block;
}

.red-bg-img .wp-block-image::before {
    background-color: #A74D4A; 
}

.grey-bg-img .wp-block-image::before {
    background-color: #818B7E; 
}

/* Contact Form CSS */
#gform_wrapper_3{
    background-color: rgb(234, 230, 225);
    padding: 35px;
    border-radius: 15px;
}

div#gform_wrapper_3 .gform_heading{
    display: none;
}

#gform_submit_button_3 {
    text-transform: uppercase;
    letter-spacing: 4px;
    background-color: #A74D4A;
}

input , textarea{
    border-radius: 0px !important;
}

label {
    font-size: 16px !important;
    color: #EEE;
    font-family: 'Poppins', sans-serif !important;
    font-weight: 300 !important;
}

/* FAQ Accordian Start */
.contact-content-2-right {
    background-color: #fff !important;
    padding: 20px;
}

.contact-content-2-right .wp-block-accordion-heading__toggle-title{
    font-size: 32px;
    line-height: 52px;
}

.wp-block-accordion-item:not(:last-child) {
    border-bottom: solid 2px rgb(129, 139, 126);
    margin-top: 0px !important;
    padding-top: 40px;
    padding-bottom: 40px;
}

.page-id-9205 .entry-content {
    background-color: #F5F5F5
}

.wp-block-accordion-panel p {
    font-size: 20px;
}

.wp-block-accordion-heading button:hover{
    text-decoration: none !important;
}

.contact-content-2-right .wp-block-accordion-heading__toggle:hover,
.contact-content-2-right .wp-block-accordion-heading__toggle:focus {
    text-decoration: none !important;
}

.contact-content-2-right .wp-block-accordion-heading__toggle:hover .wp-block-accordion-heading__toggle-title {
    text-decoration: none !important;
}
/* FAQ Accordian End */


/* Gallery Page */

.gallery-container img {
    max-width: 532px ;
}

.gallery-container {
    gap: 0 ;
}

.gallery-container > div {
    max-width: 560px;
}
.gallery-container {
    justify-content: center;
}


@media only screen and (max-width: 1140px) {
    .gallery-container .wp-block-column {
        min-width: 0;
    }

    .gallery-container{
        gap: 29px;
    }

    .gallery-container img {
        max-width: 100% !important;
        height: auto !important;
        width: 100% !important;
        display: block;
    }
    
    .gallery-container figure {
        width: 100% !important;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
}


/* --- Child Pages --- */

.child-title-bar h3.geo {
    text-align: left;
}

.page-content p:first-of-type {
    margin-top: 10px;
}

.wp-block-post-featured-image :where(img) {
    border-radius: 13px 13px 13px 13px;
}

.sidebar {
    box-shadow: 0px 6px 22px 0px rgba(0, 0, 0, 0.16);
}

.check-list-class {
    list-style: none;
    padding-left: 0;
	width: 85%;
}

.check-list-class li {
    position: relative;
    padding-left: 28px;
    margin-bottom: 8px;
}

.check-list-class li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 4px;
    width: 18px;
    height: 18px;
    background-image: url("https://crfrostdev.wpenginepowered.com/wp-content/uploads/2026/02/check-solid.svg");
    background-size: contain;
    background-repeat: no-repeat;
    filter: brightness(0) saturate(100%) invert(63%) sepia(94%) saturate(1542%) hue-rotate(359deg) brightness(101%) contrast(101%);
}

.check-list-class ul {
    list-style: none !important;
    padding-left: 0;
}

.page-content .wp-block-cover {
    min-height: 0;
    margin-top: 40px !important;
}

.page-content .has-primary-background-color {
    border-radius: 0 0 14px 14px;
}

a.parent-post {
    display: block;
    color: var(--wp--preset--color--contrast);
    font-weight: 600;
    letter-spacing: .25px;
	text-decoration: none;
}

a.parent-post:before {
    content: "< ";
}

/* --- Blog --- */

/* --- 404 Page --- */

.rotated-heading {
    transform: rotate(10deg);
}

/* --- GEOLINE --- */

h3.geo::before {
    content: "";
    display: inline-block;
    width: 1em;
    height: 1em;
	background-color: currentColor;
    mask-image: url('/wp-content/uploads/2026/02/map-pin.svg');
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
    margin-right: 7px;
    position: relative;
    top: 1px;
}

h3.geo {
    font-size: 1rem;
    color: #333;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 0.7px;
    margin: 0 auto;
    text-align: center;
}

/* --- GEOBLOCK --- */


/* hide geoblock */
div#ogGeo {
    display: none;
}

.geo-block-inner {
    background: var(--wp--preset--color--custom-light-gray);
    padding: 60px 15px;
}

  .geo-subhead {
	font-size: 16px;
}

  .gb-title h2 {
    font-size: 1.2rem;
    line-height: 1.3;
}
  
  h3.gb-cities-col {
    line-height: 1.6;
    text-transform: none;
    font-weight: 400;
    font-size: 16px;
    text-wrap: balance;
}

.gb-buttons {
    margin: 20px 0;
}
  
  .gb-buttons a {
    background: var(--wp--preset--color--primary);
    color: var(--wp--preset--color--base);
    border: 1px solid var(--wp--preset--color--primary);
    border-radius: 12px;
    padding: 12px;
    letter-spacing: 0;
    text-transform: none;
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
}

p#breadcrumbs {
    font-size: 16px;
}

p#breadcrumbs a {
    color: var(--wp--preset--color--contrast);
    text-decoration: none;
}

/* --- Footer --- */

.footer-mid-col {
    text-align: center !important;
}


.footer-link-stack {
    gap:0;
}

@media (min-width: 1350px) {
    .footer-about-col {
        max-width: 400px;
    }
}

/* style subfooter */
.site-footer .is-layout-constrained > p:last-child {
    font-size: 14px;
}

/* --- Gravity Forms ---*/

.gform-theme--framework .gform_validation_errors {
	background-color: #ffffff!important;
}

.gform_wrapper.gform-theme {
	text-align: left;
}

.gform_required_legend {
	display: none;
}

.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields {
	gap: 16px;
}

.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields .gfield .ginput_container :is(input:not(.gfield-choice-input), textarea) {
	color: #5e5e5e;
	padding: 15px !important;
	border-radius: 12px;
	font-size: 1rem;
	min-height: 50px
}

.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields .gfield .ginput_container input:focus,
.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields .gfield .ginput_container input:active,
.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields .gfield .ginput_container input:visited,
.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields .gfield .ginput_container textarea:focus {
	border: solid 1px var(--wp--preset--color--contrast) !important;
	outline: none;
}

.gform_wrapper.gform-theme .gform-body.gform_body .gform_fields .gfield .ginput_container :is(input::placeholder, textarea::placeholder) {
	font-size: 1rem;
    opacity: 1;
}

::placeholder {
    font-size: 1rem;
}

.gform_wrapper.gform-theme .gform-footer.gform_footer .gform_button.button {
	font-size: 1.1rem !important;
	font-weight: bold !important;
    line-height: 1.2em !important;
    padding: 14px 24px !important;	
	border: none;
	border-radius: 8px!important;
}

.gform_wrapper.gform-theme .gform-footer.gform_footer .gform_button.button:hover {
	background-color: var(--wp--preset--color--contrast);	
}

.gform_wrapper.gform-theme .gform-footer.gform_footer .gform_button.button:focus {
	border: none;
	outline: none;
}

.gform_confirmation_wrapper.gform_wrapper.gform-theme  .gform_confirmation_message {
    background-color: #ffffff !important;
	border: solid 1px var(--wp--preset--color--contrast);
    color: #333;
    padding: 10px 30px;
    border-radius: 30px;
    text-align: center;
}

.gform_confirmation_wrapper.gform_wrapper.gform-theme  .gform_confirmation_message::before,
.gform_confirmation_wrapper.gform_wrapper.gform-theme  .gform_confirmation_message::after {
    content: unset;
}

h3.gsection_title {
    font-size: 1.2rem;
}

.gfield--type-section {
    margin-bottom: 17px;
    border-block-end: 1px solid #3393ae26
 !important;
}

.gfield--type-section:not(:first-of-type) {
    margin-top: 20px;
}

.consent-checkbox-field .gchoice {
    align-items: center;
}

.gform-footer.gform_footer.top_label {
    padding: 0;
}

.gform_wrapper.gform-theme .gform-footer.gform_footer {
    max-height: 48px;
}

.gfield-choice-input {
    border-radius: 5px !important;
}

/* ############################################################## */
/* Global CSS styles to fix form validation from breaking layouts */
/* ############################################################## */

.gform-theme--framework .gform_validation_errors .gform_submission_error {
    display: flex;
    flex-direction: row;
    align-items: center;
}

/* Hides error messages from view - screen readers can still see */
.gfield_validation_message, .validation_message {
     border: 0;
     clip: rect(0 0 0 0);
     height: auto;
     margin: 0;
     overflow: hidden;
     padding: 0;
     position: absolute;
     width: 1px;
     white-space: nowrap;
}
/* Error summary section */
.gform_wrapper.gravity-theme .gform_validation_errors {
    background:#c02b0a !important;
}

.gform_wrapper.gravity-theme .gform_validation_errors h2 {
   color:#fff !important;
    font-size:.8rem !important;
}
/* red border around inputs with issues */
.gform_wrapper.gravity-theme .gfield_error [aria-invalid=true] {
    border: 1px solid #c02b0a !important;
}

.gform-theme--framework .gform_validation_errors {
    background-color: #fdf8f7;
    border: 2px solid #c02b0a;
}

/* --- CR Suite Modals --- */

.ticket-button {
    opacity: 1;
}

.ticket-button:hover {
    opacity: 0.8 !important; 
    cursor: pointer; 
}

/* 
button#myModal-launch {
	cursor: pointer;
	text-transform: uppercase;
	padding: 15px 24px;
	font-family: var(--wp--preset--font-family--dm-sans);
    font-size: 1.3rem;
    font-weight: 600;
    background-color: #fff;
    border: 1px solid #fff;
	border-radius: 8px;
    color: #333;
	line-height: 1em;
	transition: opacity 0.3s ease; 
    opacity: 1;
}

button#myModal-launch:hover {
    opacity: 0.7 !important; 
    cursor: pointer; 
} */

/* CR Suite Modal Window */

.modal-content {
    background-color: var(--wp--preset--color--secondary) !important;
    border-radius: 30px 30px 30px 30px;
}

.modal-header button.close {
    cursor: pointer;
    background-color: #00000000;
    color: #FFFFFF70;
    font-size: 35px;
}

.modal-header img {
    width: 150px;
}

.modal-header .modal-title {
	color: #ffffff;
    font-size: var(--wp--preset--font-size--x-large) !important;
    font-weight: 600;
}

h3#modalLabel {
	color: #fff;
    font-size: 26px;
    line-height: 1.15;
    margin-top: 16px;
}

p#modal-body-text {
    color: #fff;
    margin: 0 0 30px;
}

.modal-body {
    padding: 0 35px;
}

.modal-content .gform_wrapper input[type="submit"] {
        background-color: var(--wp--preset--color--contrast) !important;
}

.modal-footer {
    display: none;
}


/* Hero Homepage Mobile CSS fix, Changes at different breakpoint from standard mobile */

@media (max-width: 781px) {
	
	.page-id-24 .hero-full-col {
    	margin: 0 auto !important
	}
	
    .page-id-24 .hero-text-col {
        display: none;
    }

    .page-id-24 .hero-full-col .wp-block-site-logo {
        padding: 25px;
        padding-bottom: 5px;
    }
    
    .page-id-24 .custom-logo {
        width: 250px;       
    }

    .page-id-24 .hero-full-col {
        flex-basis: 100% !important;
        margin-left: auto !important;
        margin-right: auto !important;
        max-width: 100%;
    }

    .page-id-24 .hero-full-col .wp-block-site-logo,
    .page-id-24 .hero-full-col .wp-block-buttons {
        justify-content: center !important;
        display: flex;
    }

    .page-id-24 .hero-full-sect {
        min-height: 600px !important;
        height: auto;
        
    }
	.footer-link-stack {
		margin-top: -110px !important;
		margin-bottom: -20px !important;
	}

	.site-footer .is-layout-constrained > p:last-child {
		margin-top: -20px !important;
	}
	.reverse-columns-mobile {
		flex-direction: column-reverse;
	}
	.CSFF-content-1-right img.wp-image-9151 {
    	height: 400px !important;
	}
	
	/* 	Get in touch page */
    .grey-bg-img , .red-bg-img {
        padding-left: 0px !important;
    }
    
    .contact-content-2 h2 {
        text-align: center;
    }

    .grey-bg-img {
        margin-bottom: -70px !important;
    }
    .grey-bg-img img{
        height: 400px;
        object-fit: cover
    }
    .wp-block-accordion-heading__toggle-title {
        font-size: 24px !important;
    }

    .wp-block-accordion-panel p {
        font-size: 18px !important;
    }
/* 	Footer 781px smaller fix */
	footer .custom-logo {
		width:250px;
	}

}

/* CSS for JS fade in functionality */
.fade-in-up {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-in-up.is-visible {
  opacity: 1;
  transform: translateY(0);
}
/* CSS for Active Nav Tab Underlining Functionality */
.header-nav-item--active {
    text-decoration: underline;
	text-decoration-color: #fff;
}
/* CSS for naviagtion stacking weird on tablet/smaller desktops */
@media screen and (min-width: 821px) and (max-width: 1024px) { 
    .nav-row {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}